Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### alpha()

Examples

    noStroke();
    color c = color(0, 126, 255, 102);
    fill(c);
    rect(15, 15, 35, 70);
    float value = alpha(c);  //Sets "value" to "102"
    fill(value);
    rect(50, 15, 35, 70);

Description | Extracts the alpha value from a color.

Syntax

    alpha(color)

Parameters

color | any value of the color datatype

Returns | float
Usage | Web & Application
Related | green() red() blue() hue() saturation() brightness()

Updated on August 30, 2010 04:29:39pm EDT